%define name	coriander
%define version	2.0.0
%define release	%mkrel 1

Summary:	GUI for controlling IEEE1394 cameras
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Video
Source:		%{name}-%{version}.tar.bz2
Patch0:		coriander-2.0.0-fixconfigure.patch
URL:		http://damien.douxchamps.net/ieee1394/coriander/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	SDL-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libdc1394_22-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libraw1394-devel
BuildRequires:	libxv-devel
BuildRequires:	libftp3-devel
BuildRequires:	ImageMagick


%description
Coriander is the Linux graphical user interface (GUI) for controlling
a Digital Camera through the IEEE1394 bus (aka FireWire, or iLink).
Coriander is full featured and besides changing the parameters of the
camera it will also let you record video, send images to an FTP site,
convert the video to a V4L stream,... A live display is of course
provided too. Best of all, Coriander will work with any camera that is
compatible with the IIDC specifications (also known as DCAM specs).
This includes most 1394 webcams and a majority of industrial or
scientific cameras too.

%prep
%setup -q
%patch0 -p1 -b .fixconfigure

%build
%configure2_5x
%make

%install
%makeinstall

# desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Coriander
Comment=Control a 1394 digital video camera
StartupNotify=true
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Video;X-MandrivaLinux-Multimedia-Video;
EOF

# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/%{name}-icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/%{name}-icon.png %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/%{name}-icon.png
%{_datadir}/pixmaps/%{name}/%{name}-logo.png
%{_datadir}/applications/%{name}.desktop
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png


%changelog
* Mon Aug 04 2008 don_crissti <don_crissti@gmx.com> 2.0.0-1pclos2007
- build for PCLinuxOS

